Bug 1017334 - unable to install storage service on windows 2008
unable to install storage service on windows 2008
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Installer (Show other bugs)
JON 3.2
x86_64 Windows
urgent Severity urgent
: ER04
: JON 3.2.0
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: 1012435
  Show dependency treegraph
 
Reported: 2013-10-09 12:17 EDT by Armine Hovsepyan
Modified: 2015-09-02 20:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
windows_rhqctl_install.log (12.93 KB, text/x-log)
2013-10-09 12:17 EDT, Armine Hovsepyan
no flags Details
windosrhqinstall_fixed (48.33 KB, image/png)
2013-10-25 07:07 EDT, Armine Hovsepyan
no flags Details

  None (edit)
Description Armine Hovsepyan 2013-10-09 12:17:19 EDT
Created attachment 810030 [details]
windows_rhqctl_install.log

Description of problem:
unable to install storage service on windows 2008

Version-Release number of selected component (if applicable):
jon 3.2 er3

How reproducible:
always (was able to install storage only once with er3)

Steps to Reproduce:
1. unzip jon 3.2 er3
2. run rhqctl.bat install
3.

Actual results:
storage service not installed, server service cannot be installed without storage -> http://pastebin.test.redhat.com/169221


Expected results:
storage, server and agent services installed , not started

Additional info:
same situation while trying to install storage only with rhqctl.bat install --storage

log attached in case of issues with pastebin
Comment 1 Jay Shaughnessy 2013-10-09 13:30:50 EDT
I think there is a problem when the service does not exist and then not installing with the --start option.  Investigating...
Comment 2 Jay Shaughnessy 2013-10-09 14:37:49 EDT
master commit f788db9562207f5bc84e1e15b880f5a7387ca242
Author: Jay Shaughnessy <jshaughn@redhat.com>
Date:   Wed Oct 9 14:36:11 2013 -0400

    When installed without using the --start option the windows service would
    not be installed.  

    As a workaround, use the --start option with the rhqctl install command.
Comment 3 Armine Hovsepyan 2013-10-10 07:53:01 EDT
workaround as "install --storage --start " and then "start --storage" creates the storage service.
Comment 6 Jay Shaughnessy 2013-10-11 23:11:37 EDT
release/jon3.2.x commit ce27534c72d9f7ead97d768df8ee0ffd066d3234

    cherry-pick of f788db9562207f5bc84e1e15b880f5a7387ca242
Comment 7 Simeon Pinder 2013-10-24 00:09:29 EDT
Moving to ON_QA for testing in the next build.
Comment 8 Armine Hovsepyan 2013-10-25 07:07:17 EDT
Created attachment 816090 [details]
windosrhqinstall_fixed
Comment 9 Armine Hovsepyan 2013-10-25 07:07:34 EDT
verified
thank you

Note You need to log in before you can comment on or make changes to this bug.